Bug 118537 - minor doc-bug in net/rinetd
Summary: minor doc-bug in net/rinetd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-10 21:20 UTC by Dan Mahoney
Modified: 2007-12-11 12:33 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Mahoney 2007-12-10 21:20:01 UTC
In patching rinetd as part of ports, the default configuration file is changed from the "distributed" /etc/rinetd.conf to 
the "portsified" /usr/local/etc/rinetd.conf

Fix: A small patch (not sure I did it right):



NOTE: I originally had emailed the ports author since I felt this was a small and not pr-worthy-fix, but I ran into an issue 
whereby his mailer rejected my SPF because it didn't recognize the FreeBSD forwarder.--YEZxrKJM6fnH8oLDqz84lRXwfzkkEhxh0cOgTQy5G46QvxyB
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- rinetd.8.orig	Mon Apr 14 21:19:44 2003
+++ rinetd.8	Mon Dec 10 16:14:08 2007
@@ -10,14 +10,14 @@
 .Nd internet
 .Dq redirection server
 .Sh SYNOPSIS
-.Nm /usr/sbin/rinetd
+.Nm /usr/local/sbin/rinetd
 .Sh VERSION
 Version 0.62, 04/14/2003.
 .Sh DESCRIPTION
 .Nm rinetd
 redirects TCP connections from one IP address and port to another. rinetd
 is a single-process server which handles any number of connections to
-the address/port pairs specified in the file /etc/rinetd.conf. 
+the address/port pairs specified in the file /usr/local/etc/rinetd.conf. 
 Since rinetd runs as a single process using nonblocking I/O, it is
 able to redirect a large number of connections without a severe
 impact on the machine. This makes it practical to run TCP services
@@ -26,9 +26,9 @@
 .Pp
 rinetd is typically launched at boot time, using the following syntax:
 .Pp
-/usr/sbin/rinetd
+/usr/local/sbin/rinetd
 .Pp
-The configuration file is found in the file /etc/rinetd.conf, unless
+The configuration file is found in the file /usr/local/etc/rinetd.conf, unless
 another file is specified using the -c command line option. 
 .Sh FORWARDING RULES
 Most entries in the configuration file are forwarding rules. The
How-To-Repeat: 
Install /usr/ports/net/rinetd, man rinetd VERSUS strings /usr/local/sbin/rinetd|grep rinetd.conf
Comment 1 Edwin Groothuis freebsd_committer 2007-12-10 21:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2007-12-11 12:12:58 UTC
garga       2007-12-11 12:12:52 UTC

  FreeBSD ports repository

  Modified files:
    net/rinetd           Makefile 
  Log:
  - Fix manpage pointing to correct PREFIX for binary and conf
  - Bump PORTREVISION
  
  PR:             ports/118537 (Based on)
  Submitted by:   Dan Mahoney <danm@prime.gushi.org>
  Approved by:    portmgr (erwin)
  
  Revision  Changes    Path
  1.17      +4 -2      ports/net/rinetd/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Renato Botelho freebsd_committer 2007-12-11 12:33:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!